> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payroll Benefits

> Returns a list of all payroll benefit deductions.



## OpenAPI

````yaml get /payroll_benefits
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /payroll_benefits:
    get:
      tags:
        - payroll_benefits
      description: Returns a list of all payroll benefit deductions.
      operationId: payroll_benefits_list
      parameters:
        - in: query
          name: employer
          schema:
            type: string
        - name: cursor
          required: false
          in: query
          description: The pagination cursor value.
          schema:
            type: string
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPayrollBenefitList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedPayrollBenefitList:
      type: object
      properties:
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/PayrollBenefit'
    PayrollBenefit:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        member:
          type: string
          readOnly: true
        line_of_coverage:
          $ref: '#/components/schemas/LineOfCoverageEnum'
          readOnly: true
        description:
          type: string
          nullable: true
          maxLength: 255
          readOnly: true
        member_contribution:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          readOnly: true
        employer_contribution:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          readOnly: true
        period:
          $ref: '#/components/schemas/PayrollBenefitPeriodEnum'
        effective_start:
          type: string
          format: date
          readOnly: true
        effective_end:
          type: string
          format: date
          readOnly: true
        payroll_provider_external_id:
          type: string
          nullable: true
          maxLength: 255
        taxability:
          $ref: '#/components/schemas/PayrollBenefitTaxabilityEnum'
        coverage_type:
          $ref: '#/components/schemas/PayrollBenefitCoverageTypeEnum'
        enrollment_plan:
          type: string
          nullable: true
          readOnly: true
      required:
        - employer_contribution
        - id
        - line_of_coverage
        - member
        - member_contribution
    LineOfCoverageEnum:
      type: string
      enum:
        - accident
        - accidental_death
        - cancer
        - commuter_parking
        - commuter_transit
        - dental
        - dependent_care_fsa
        - healthcare_fsa
        - hospital_indemnity
        - hsa
        - life
        - limited_purpose_fsa
        - long_term_disability
        - lump_sum_disability
        - medical
        - short_term_disability
        - supplemental
        - telemedicine
        - vision
        - voluntary_critical_illness
        - voluntary_life
        - voluntary_accidental_death
        - voluntary_short_term_disability
      description: |-
        * `accident` - Accident
        * `accidental_death` - Accidental Death and Dismemberment
        * `cancer` - Cancer
        * `commuter_parking` - Commuter Parking
        * `commuter_transit` - Commuter Transit
        * `dental` - Dental
        * `dependent_care_fsa` - Dependent Care Flexible Spending Account
        * `healthcare_fsa` - Healthcare Flexible Spending Account
        * `hospital_indemnity` - Hospital Indemnity
        * `hsa` - Health Savings Account
        * `life` - Life
        * `limited_purpose_fsa` - Limited Purpose Flexible Spending Account
        * `long_term_disability` - Long Term Disability
        * `lump_sum_disability` - Lump Sum Disability
        * `medical` - Medical
        * `short_term_disability` - Short Term Disability
        * `supplemental` - Supplemental
        * `telemedicine` - Telemedicine
        * `vision` - Vision
        * `voluntary_critical_illness` - Voluntary Critical Illness
        * `voluntary_life` - Voluntary Life
        * `voluntary_accidental_death` - Voluntary Accidental Death
        * `voluntary_short_term_disability` - Voluntary Short Term Disability
    PayrollBenefitPeriodEnum:
      enum:
        - weekly
        - biweekly
        - semimonthly
        - monthly
      type: string
      description: |-
        * `weekly` - Weekly
        * `biweekly` - Biweekly
        * `semimonthly` - Semimonthly
        * `monthly` - Monthly
    PayrollBenefitTaxabilityEnum:
      enum:
        - pre_tax
        - post_tax
      type: string
      description: |-
        * `pre_tax` - Pre-tax
        * `post_tax` - Post-tax
    PayrollBenefitCoverageTypeEnum:
      enum:
        - member
        - member_spouse
        - member_child
        - member_children
        - member_family
      type: string
      description: |-
        * `member` - Member Only
        * `member_spouse` - Member + Spouse
        * `member_child` - Member + Child
        * `member_children` - Member + Children
        * `member_family` - Member + Family
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````